Index: cpukit/Makefile.am
===================================================================
--- cpukit/Makefile.am	(revision 2b32146400e9d99bfc87516ab8b2d2809aff5326)
+++ cpukit/Makefile.am	(revision d8a5e140ec44a5e45cf82d3759a339e9dedced56)
@@ -214,4 +214,5 @@
 librtemscpu_a_SOURCES += libcsupport/src/resource_snapshot.c
 librtemscpu_a_SOURCES += libcsupport/src/rmdir.c
+librtemscpu_a_SOURCES += libcsupport/src/rtemscalloc.c
 librtemscpu_a_SOURCES += libcsupport/src/rtems_heap_extend.c
 librtemscpu_a_SOURCES += libcsupport/src/rtems_heap_extend_via_sbrk.c
Index: cpukit/libcsupport/src/malloc_deferred.c
===================================================================
--- cpukit/libcsupport/src/malloc_deferred.c	(revision 2b32146400e9d99bfc87516ab8b2d2809aff5326)
+++ cpukit/libcsupport/src/malloc_deferred.c	(revision d8a5e140ec44a5e45cf82d3759a339e9dedced56)
@@ -113,18 +113,3 @@
   return rtems_heap_allocate_aligned_with_boundary( size, 0, 0 );
 }
-
-void *rtems_calloc( size_t nelem, size_t elsize )
-{
-  size_t  length;
-  void   *p;
-
-  length = nelem * elsize;
-  p = rtems_malloc( length );
-  RTEMS_OBFUSCATE_VARIABLE( p );
-  if ( RTEMS_PREDICT_FALSE( p == NULL ) ) {
-    return p;
-  }
-
-  return memset( p, 0, length );
-}
 #endif
Index: cpukit/libcsupport/src/rtemscalloc.c
===================================================================
--- cpukit/libcsupport/src/rtemscalloc.c	(revision d8a5e140ec44a5e45cf82d3759a339e9dedced56)
+++ cpukit/libcsupport/src/rtemscalloc.c	(revision d8a5e140ec44a5e45cf82d3759a339e9dedced56)
@@ -0,0 +1,57 @@
+/* SPDX-License-Identifier: BSD-2-Clause */
+
+/**
+ * @file
+ *
+ * @ingroup libcsupport
+ *
+ * @brief This source file contains the implementation of rtems_calloc().
+ */
+
+/*
+ * Copyright (C) 2018 embedded brains GmbH (http://www.embedded-brains.de)
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <rtems/malloc.h>
+
+#include <string.h>
+
+void *rtems_calloc( size_t nelem, size_t elsize )
+{
+  size_t  length;
+  void   *p;
+
+  length = nelem * elsize;
+  p = rtems_malloc( length );
+  RTEMS_OBFUSCATE_VARIABLE( p );
+  if ( RTEMS_PREDICT_FALSE( p == NULL ) ) {
+    return p;
+  }
+
+  return memset( p, 0, length );
+}
Index: spec/build/cpukit/librtemscpu.yml
===================================================================
--- spec/build/cpukit/librtemscpu.yml	(revision 2b32146400e9d99bfc87516ab8b2d2809aff5326)
+++ spec/build/cpukit/librtemscpu.yml	(revision d8a5e140ec44a5e45cf82d3759a339e9dedced56)
@@ -709,4 +709,5 @@
 - cpukit/libcsupport/src/resource_snapshot.c
 - cpukit/libcsupport/src/rmdir.c
+- cpukit/libcsupport/src/rtemscalloc.c
 - cpukit/libcsupport/src/rtems_heap_extend.c
 - cpukit/libcsupport/src/rtems_heap_extend_via_sbrk.c
